<div>
        <div class="title">
            <h2>Cadastro de Questão</h2>
        </div>
    
        <div class="card">
            <div class="row">
                <div class="col-12">
                    <label>Questao:</label>
                    <input type="text" [(ngModel)]="questao.questao">
                </div>
            </div>
        </div>

        <div class="card">
            <div class="row">
                <div class="col-12">
                    <label>Tipo de Resposta:</label>
                    <select [(ngModel)]="questao.tipoResposta.id">
                        <option value="" selected>Selecione</option>
                        <option value="1">Sim/Não</option>
                        <option value="2">Múltipla escolha</option>
                        <option value="3">Aberto</option>
                        <option value="4">Composição de Questões Booleanas</option>
                    </select>
                </div>
            </div>
        </div>

        <div class="card" *ngIf="(questao.tipoResposta.id === 2 || questao.tipoResposta.id === 4)">
            <div class="row">
                <div class="col-12">
                    <table>
                        <tr>
                            <th>Opção de Questão</th>
                            <th>&nbsp;</th>
                        </tr>
                        <tr *ngFor="let o of questao.opcoes | async">
                            <td><input type="text" [(ngModel)]="o.opcaoQuestao"></td>
                            <td><button type="button" (click)="novaOpcao();">Novo</button></td>
                        </tr>   
                    </table>
                </div>
            </div>
        </div>

        <div class="card">
            <div class="row">
                <div class="col-6">
                    <button type="button" (click)="salvar();">Salvar</button>
                </div>
                <div class="col-6">
                    <button type="button" (click)="cancelar();">Cancelar</button>
                </div>
            </div>
        </div>
    </div>